package inclesra.projecte.local;

import es.ucm.look.ar.ar2D.drawables.Text2D;
import es.ucm.look.ar.ar3D.core.Color4;
import es.ucm.look.ar.ar3D.core.drawables.Entity3D;
import es.ucm.look.ar.ar3D.core.drawables.primitives.Cube;
import es.ucm.look.data.EntityData;
import es.ucm.look.data.WorldEntity;
import es.ucm.look.data.WorldEntityFactory;

public class ElMeuPuntTuristicLookAr extends WorldEntityFactory {
	public static final String nom="DGV";
	public static final String color="color";
	public static final String imatge="ima";
	public static final String descripcio="dec";
	
	public ElMeuPuntTuristicLookAr(){
	}	
	@Override
	public WorldEntity createWorldEntity(EntityData data) {
		WorldEntity we= new WorldEntity(data);
		we.setDrawable2D(new Text2D(data.getPropertyValue(nom)));
		
		Entity3D entitat3D= new Entity3D(new Cube() );
		//Entity3D entitat3D = new Entity3D(new Ring(entity.getLocation(), 0.2f, 4.2f, 6, new Color4(0.0f, 0.0f, 1.0f) ) );
		//Entity3D entitat3D= new Entity3D(new SquarePrimitive());
		 
		String cl=data.getPropertyValue(color);
		
		if (cl.equals("blau")) {
			entitat3D.setMaterial(new Color4(0.0f, 0.0f, 1.0f));
		}else{
			entitat3D.setMaterial(new Color4(0.0f, 1.0f, 1.0f));
		}
		//we.setDrawable2D(new Image2D(bt));
		// Per grafics 3d
		we.setDrawable3D(entitat3D);
		// Per grafics 2d
		//we.setDrawable2D(entitat3D);
		
		we.addTouchListener(new ElmeuTouch());
		we.addCameraListener(new ElmeudetectordeCamera());
		return we;
	}

}