package inclesra.projecte.local;

import java.util.ArrayList;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;


public class InformacioPOIsActivity extends Activity implements OnItemClickListener {
	
	  private static final String TAG = "informacioPOIs";
	  private ListView listView;
	  private ArrayList<ItemRecord> punts;
	  @Override
	  public void onCreate(Bundle savedInstanceState) {
	      super.onCreate(savedInstanceState);
	      setContentView(R.layout.mainlistitem);
	      
	      // Taula per guarda els POI
	      punts = new ArrayList<ItemRecord>();
	            
	      	      
	  	  Log.v(TAG, "abans obrir base de dades");
	      
	      POIsBdSQLLite usdbh = new POIsBdSQLLite(this, "BDPOIs", null, 1);
	      
		  SQLiteDatabase db = usdbh.getReadableDatabase();
	 	        
	        if(db != null)
	        {
        	  String[] camps = new String[] {"nom","descripcio","imatge","latitud","longitud","altitud"};
	      	  ItemRecord punt; 	  
	          Log.v(TAG, "despres obrir base de dades");
	      	  Cursor cursor = db.query("POIs",camps,null,null,null,null,null,null);
	      	      
	      	      if(cursor != null){
	      	         while(cursor.moveToNext()){
	      	      	
	      	        	 punt = new ItemRecord(cursor.getString(0), cursor.getString(1),cursor.getString(2),cursor.getString(3),cursor.getString(4),cursor.getString(5));
	      	        	 punts.add(punt);
	      	        		      	        	 
	      	        Log.i("Nom: ", "Nom:" + cursor.getString(0) +
	      	      					 " Latitud: " + cursor.getString(1) +
	      	                     " Longitud " + cursor.getString(2));
	      	        Log.v(TAG, "Mostrar infromacio");
	      	        
	      	        
	      	         }
	      	      }
	        	
	        }
	  	      db.close();
	  	    listView = (ListView) findViewById(R.id.ListViewId);
		    listView.setOnItemClickListener(this);
		    listView.setAdapter(new POIsItemAdapter(this, android.R.layout.simple_list_item_1, punts));
			 	            
	  	      
	  }
	  
	  @Override
	  public void onItemClick(AdapterView<?> a, View v, int position, long id) {
		  AlertDialog.Builder adb=new AlertDialog.Builder(InformacioPOIsActivity.this);

		  // La posicio comença en 0
		  String titol = "Posicio " + position;
		  
		  titol = punts.get(position).getnom();
		  adb.setTitle(titol);
		  adb.setMessage("Latitud = "+punts.get(position).getlatitud()+"\n"
		  +"Longitud = "+punts.get(position).getlongitud()+"\n"
		  +"Altitud = "+punts.get(position).getaltitud());
		  adb.setPositiveButton("Ok", null);
		  adb.show();
		  }
	  @Override
		public boolean onCreateOptionsMenu(Menu menu) {
			// TODO Auto-generated method stub
			
			super.onCreateOptionsMenu(menu);
			MenuInflater menu_camera = getMenuInflater();
			menu_camera.inflate(R.menu.menuinflater_tornar, menu);
			return true;
		}
		
		public boolean onOptionsItemSelected(MenuItem item){
			switch (item.getItemId()) {
			case R.id.menuTornar:
				// set 
				finish();
				startActivity(new Intent("inclesra.projecte.local.ELMEUMENU"));
					return true;
			}
			return false;
		}
	  
	  
	
}
