package inclesra.projecte.local;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteDatabase.CursorFactory;
import android.database.sqlite.SQLiteOpenHelper;

public class POIsBdSQLLite extends SQLiteOpenHelper {
	
		 
	    //Sentencia SQL per crear la taula de POIs
	    String sqlCreate = "CREATE TABLE POIs (_id INTEGER PRIMARY KEY AUTOINCREMENT, nom TEXT,descripcio TEXT,imatge TEXT,latitud REAL,longitud REAL,altitud INTEGER)";
	 
	    public POIsBdSQLLite(Context contexte, String nom,
	                               CursorFactory factory, int versio) {
	        super(contexte, nom, factory, versio);
	    }
	 
	    @Override
	    public void onCreate(SQLiteDatabase db) {
	    	// Executa la sentencia de creacio de la taula
	        db.execSQL(sqlCreate);
	    }
	 
	    @Override
	    public void onUpgrade(SQLiteDatabase db, int versionAnterior, int versionNueva) {
	    	//Eliminar la versió anterior de la taula
	        db.execSQL("DROP TABLE IF EXISTS POIs");
	        //Es crea la nova taula
	        db.execSQL(sqlCreate);
	    }
	    
	    
}
	
	

