package inclesra.projecte.local;

import java.util.ArrayList;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;


public class POIsItemAdapter extends ArrayAdapter<ItemRecord> {
	private ArrayList<ItemRecord> users;

	public POIsItemAdapter(Context context, int textViewResourceId, ArrayList<ItemRecord> users) {
		super(context, textViewResourceId, users);
		this.users = users;
	}

	@Override
	public View getView(int position, View convertView, ViewGroup parent) {
		View v = convertView;
		if (v == null) {
			LayoutInflater vi = (LayoutInflater) this.getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			//LayoutInflater vi = (LayoutInflater)getSystemService(Context.LAYOUT_INFLATER_SERVICE);
			v = vi.inflate(R.layout.listitem, null);
		}
		
		ItemRecord user = users.get(position);
		if (user != null) {
			TextView nom = (TextView) v.findViewById(R.id.username);
			TextView email = (TextView) v.findViewById(R.id.email);
            ImageView image = (ImageView) v.findViewById(R.id.avatar);
		    
            if (user.imatge.equalsIgnoreCase("1_INICI"))
                image.setImageResource(R.drawable.inici);
                
            if (user.imatge.equalsIgnoreCase("2_CAMINS"))
                image.setImageResource(R.drawable.camins);

            if (user.imatge.equalsIgnoreCase("3_RESTAURANT"))
                image.setImageResource(R.drawable.restaurant);

            if (user.imatge.equalsIgnoreCase("4_ROCA"))
                image.setImageResource(R.drawable.roca);

            if (user.imatge.equalsIgnoreCase("5_FONT"))
                image.setImageResource(R.drawable.font);

            if (user.imatge.equalsIgnoreCase("6_CABANA"))
                image.setImageResource(R.drawable.cabana);

            if (user.imatge.equalsIgnoreCase("7_BOSC"))
                image.setImageResource(R.drawable.bosc);

            if (user.imatge.equalsIgnoreCase("8_ESGLESIA"))
                image.setImageResource(R.drawable.esglesia);
            
            if (user.imatge.equalsIgnoreCase("9_SOLDEU"))
                image.setImageResource(R.drawable.soldeu);

            if (user.imatge.equalsIgnoreCase("10_PORT"))
                image.setImageResource(R.drawable.port);
            
            if (user.imatge.equalsIgnoreCase("11_REFUGIS"))
                image.setImageResource(R.drawable.refugis);
            
            if (user.imatge.equalsIgnoreCase("12_ANRODAT"))
                image.setImageResource(R.drawable.anrodat);
            
            if (user.imatge.equalsIgnoreCase("13_BALADROSA"))
                image.setImageResource(R.drawable.baladrosa);
            
            if (user.imatge.equalsIgnoreCase("14_OBAC"))
                image.setImageResource(R.drawable.obac);
            
            if (user.imatge.equalsIgnoreCase("15_TRAVEC"))
                image.setImageResource(R.drawable.travec);
                       
            
			if (nom != null) {
				nom.setText(user.nom);
			}
			
			if(email != null) {
				email.setText("Descripcio: " + user.descripcio );
			}
			
			
		}
		return v;
	}
}